package com.realnet.datalake.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.datalake.Entity.Data_lake;
import com.realnet.datalake.Services.Data_lakeService ;












@RequestMapping(value = "/token/Data_lake")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Data_lakeController {
	@Autowired
	private Data_lakeService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Data_lake")
		  public Data_lake Savedata(@RequestBody Data_lake data) {
		Data_lake save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Data_lake/{id}")
	public  Data_lake update(@RequestBody Data_lake data,@PathVariable Integer id ) {
		Data_lake update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Data_lake/getall/page")
	public Page<Data_lake> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Data_lake> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Data_lake")
	public List<Data_lake> getdetails() {
		 List<Data_lake> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Data_lake")
	public List<Data_lake> getallwioutsec() {
		 List<Data_lake> get = Service.getdetails();		
		return get;
}
@GetMapping("/Data_lake/{id}")
	public  Data_lake  getdetailsbyId(@PathVariable Integer id ) {
		Data_lake  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Data_lake/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}